package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CompanyInfo;


/**
*  service接口类
*/
public interface CompanyInfoService{

    List<CompanyInfo> getCompanyInfoList(CompanyInfo record);

    List<CompanyInfo> getCompanyInfoByPage(Page page, CompanyInfo record);

    CompanyInfo getCompanyInfoById(String id);

    CompanyInfo getCompanyInfo(CompanyInfo record);

    boolean createCompanyInfo(CompanyInfo record);

    boolean deleteCompanyInfo(String id);

    boolean updateCompanyInfo(CompanyInfo record);
}

